|  | Home · All Namespaces · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# Qt 3 Support Members for QFont

The following class members are part of the Qt 3 support layer. They are provided to help you port old code to Qt 4. We advise against using them in new code.

- QFont class reference

### Public Functions

- qreal pointSizeFloat () const
- void setPixelSizeFloat ( qreal pixelSize )
- void setPointSizeFloat ( qreal size )

### Static Public Members

- QFont defaultFont ()
- void setDefaultFont ( const QFont & f )

## Member Function Documentation

### QFont QFont::defaultFont () `[static]`

Please use QApplication::font() instead.

See also setDefaultFont().

### qreal QFont::pointSizeFloat () const

Use pointSizeF() instead.

See also setPointSizeFloat().

### void QFont::setDefaultFont ( const QFont & f ) `[static]`

Please use QApplication::setFont() instead.

See also defaultFont().

### void QFont::setPixelSizeFloat ( qreal pixelSize )

Sets the logical pixel height of font characters when shown on the screen to pixelSize.

### void QFont::setPointSizeFloat ( qreal size )

Use setPointSizeF() instead.

See also pointSizeFloat().